Subject: Re: bug#27397: [PATCH] New commands for bulk tracing of elisp functions

From: Michael Albinus <[email-masked]>
Date: Mon, 19 Jun 2017 13:36:54 +0200

Dmitry Gutov <[email-masked]> writes:

> Hi Michael,

Hi Dmitry,

> Your case is surely valid, but sounds a bit niche to me. It shouldn't
> be too hard to evaluate this, though:
>
> (with-eval-after-load 'tramp
>   (trace-package "tramp-"))

But this would also trace functions from tramp-sh.el, which I don't want.

>> Yes, that's the idea. If `trace-package' uses as argument a package name
>> as proposed above, the instrumentation shall happen in an
>> `eval-after-load' form for that package.
>
> Considering elp-instrument-package does not do that, I think we should
> limit the scope of the currently discussed patch, and trace only
> already loaded functions.
>
> If we do what you suggest, it should be a new discussion, and it
> should improve elp-instrument-package as well.

I don't believe it will be too hard to implement; why not doing it just
now?

Improving elp* could be a second step then.

Best regards, Michael.